> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction by trade id (last 3 months) 

> get transaction by trade id (last 3 months)

**Limit: 10 requests per 1 second**\
Get specific transaction detail by tradeId that’s executed in the last 3 months.


## OpenAPI

````yaml GET /v3/trade/transaction
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/trade/transaction:
    get:
      description: get transaction by trade id (last 3 months)
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: tradeId
          in: query
          description: >-
            Id of the transaction; Either tradeId or clientOrderId is required.
            If both are passed, tradeId will be used.
          required: false
          explode: true
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransactionResponse'
      security: []
components:
  schemas:
    GetTransactionResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                id:
                  type: integer
                  description: Unique identifier for the order execution detail.
                symbol:
                  type: string
                  description: Trading pair symbol, e.g., SPOT_BTC_USDT.
                fee:
                  type: number
                  description: Trading fee incurred during the execution.
                feeAsset:
                  type: string
                  description: Asset type used to pay the trading fee.
                side:
                  type: string
                  description: Trade direction.
                  enum:
                    - BUY
                    - SELL
                orderId:
                  type: integer
                  description: Identifier for the order to which this execution belongs.
                executedPrice:
                  type: string
                  description: Price at which the execution occurred.
                executedQuantity:
                  type: string
                  description: Quantity of the asset that was executed.
                isMaker:
                  type: integer
                  description: >-
                    Indicates if the order was a maker order (1) or a taker
                    order (0).
                realizedPnl:
                  type: string
                  nullable: true
                  description: Realized profit and loss. Can be null if not applicable.
                executedTimestamp:
                  type: integer
                  format: int64
                  description: Timestamp of the execution in Unix milliseconds.
                isMatchRpi:
                  type: boolean
                  example: false
                  description: Indicates if the order was a RPI order.
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````